
function JellyParticle(posx, posy, limit, size) {

	this.posX = posx; 
	this.posY = posy; 

	this.limit = limit;

	this.angle = (Math.random()*Math.PI * 2);
	
	this.vel = 	0.3;
	
	this.size = size; 
	this.targetSize = this.size * this.limit;
	
	this.maxSize = this.size * this.limit;
	this.minSize = this.size;
	
	this.drag = 0.99; 
	
	this.colour = "rgba(224,200,230,1)";
	
	this.count =0;
	
	this.alpha = 1;


	this.update = function() {
	
		this.vel *= this.drag;
		
		if (this.count%5==0){
			if (this.targetSize == this.maxSize) {
					this.targetSize = this.minSize;
			}else {
				this.targetSize = this.maxSize;
			}
		}
	
		var diff = this.targetSize - this.size; 
		diff*=this.vel;
		this.size+=diff;
		
		this.count++;
	 
	};
	
	this.render = function(c) {
		c.fillStyle = this.colour;

		c.beginPath();
		if (this.size < 0) {this.size =0}
		c.arc(this.posX, this.posY,this.size, 0, Math.PI*2, true);
		c.fill();
	
	};


}


function randomRange(min, max) {
	return ((Math.random()*(max-min)) + min); 
}
