
function SplitSquare(posx, posy,size) {

	this.posX = posx; 
	this.posY = posy;
	
	this.size = size;
	
	this.vel = 0.05;
	
	this.hue = 0;
	this.targetHue = 350;
	
	this.lum01 = 35;
	this.lum02 = 45;
	
	this.colour01 = 'hsl(' + this.hue + ', 80% , '+ this.lum01 +'% )'; 
	this.colour02 = 'hsl(' + this.hue + ', 80%, '+ this.lum02 +'% )';
	
	
	this.update = function() {
			console.log (this.targetHue, this.hue);
			if (this.hue > this.targetHue) {
				this.hue = 0;
			}

			var hDiff = Math.abs(this.targetHue - this.hue); 
			hDiff *= this.vel;
			this.hue += hDiff;
			
			this.colour01 = 'hsl(' + this.hue + ', 80% , '+ this.lum01 +'% )';
			this.colour02 = 'hsl(' + this.hue + ', 80%, '+ this.lum02 +'% )';
	};
	
	this.render = function(c) {
		
		c.fillStyle = this.colour01;
	
		c.save();
		c.translate(this.posX, this.posY);
		
		c.beginPath();
		c.moveTo(0, 0);
		c.lineTo(0, this.size);
		c.lineTo(this.size,this.size); 
		c.closePath();
		c.fill();
		
		
		c.fillStyle = this.colour02;
		c.beginPath();
		c.moveTo(0,0);
		c.lineTo(this.size, 0);
		c.lineTo(this.size, this.size); 
		c.closePath();
		c.fill();
		
		c.restore();

	};

}


function randomRange(min, max) {
	return ((Math.random()*(max-min)) + min); 
}
